Loading...
Searching...
No Matches
Dune::Functions::Experimental::SubDomainGridView< HGV >::Codim< codim > Struct Template Reference

Codim specific typedefs. More...

`#include <dune/functions/common/subdomain.hh>`

Inheritance diagram for Dune::Functions::Experimental::SubDomainGridView< HGV >::Codim< codim >:

## Classes

struct | Partition

## Public Types

using | Entity = typename Grid::template Codim<codim>::Entity
using | EntitySeed = typename Grid::template Codim<codim>::EntitySeed
using | Geometry = typename Grid::template Codim<codim>::Geometry
using | LocalGeometry = typename Grid::template Codim<codim>::LocalGeometry
using | Iterator = std::conditional_t<codim==0, ElementIterator<All_Partition>, NonImplementedIterator<codim>>

## Detailed Description

template<class HGV>
template<int codim>
struct Dune::Functions::Experimental::SubDomainGridView< HGV >::Codim< codim >

Codim specific typedefs.

## Member Typedef Documentation

## Entity

template<class HGV>
template<int codim>

using Dune::Functions::Experimental::SubDomainGridView< HGV >::Codim< codim >::Entity = typename Grid::template Codim<codim>::Entity

## EntitySeed

template<class HGV>
template<int codim>

using Dune::Functions::Experimental::SubDomainGridView< HGV >::Codim< codim >::EntitySeed = typename Grid::template Codim<codim>::EntitySeed

## Geometry

template<class HGV>
template<int codim>

using Dune::Functions::Experimental::SubDomainGridView< HGV >::Codim< codim >::Geometry = typename Grid::template Codim<codim>::Geometry

## Iterator

template<class HGV>
template<int codim>

using Dune::Functions::Experimental::SubDomainGridView< HGV >::Codim< codim >::Iterator = std::conditional_t<codim==0, ElementIterator<All_Partition>, NonImplementedIterator<codim>>

## LocalGeometry

template<class HGV>
template<int codim>

using Dune::Functions::Experimental::SubDomainGridView< HGV >::Codim< codim >::LocalGeometry = typename Grid::template Codim<codim>::LocalGeometry

The documentation for this struct was generated from the following file:

- subdomain.hh